  // Player Position Data Type
  struct _position {
    uint8_t x;
    uint8_t y;
  };

  // Color Of Any Thing
  struct _color {
    uint8_t r;  // Red Color
    uint8_t g;  // Green Color
    uint8_t b;  // Blue Color
    uint8_t i;  // Intensity
  };

  // Player Data Type
  struct _player {
    _position position; // the current position of the player
    _color    color;    // the color of the player light indicator
    uint8_t   health;   // the health level of the player 0 - 7 => 8
    uint8_t   i2ca;     // the i2c address of the joystic of the player
  };

  // Two Players Instences
  _player player[2];    // The Two Contenders
  _player temp;         // For Swaping Purpose