# Joystick Connections To Master

## ESP32C3 (Master) Connection

![ESP32S3 Pinout](./images/esp32c3_pinout.png "Text to show on mouseover")

```
    SDA_PIN = 7
    SCL_PIN = 6
```

## ESP32S3 (Slaves) Connection

![ESP32S3 Pinout](./images/esp32s3_pinout.png "Text to show on mouseover")

```
    // Red Joystic Public - Slave Address
    #define DIV_ADD     0x10

    // Blue Joystic Public - Slave Address
    #define DIV_ADD     0x20

    // PUBLIC -> I2C PINS
    #define SDA_PIN     5
    #define SCL_PIN     4

    // LOCAL -> I2C PINS
    #define SDA_PIN     5
    #define SCL_PIN     4

    // JOYSTIC
    #define X           1
    #define Y           2
    #define B           3

    // FAST LED
    #define STRIP_PIN   8
    #define STRIP_LEDS  16

    // DOTMATRIC
    #define DMX         8
    #define DMY         8
    #define DIN         10
    #define CIN         9

```